<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classpdts__fmc__io.html">pdts_fmc_io</a></li><li class="navelem"><a class="el" href="classpdts__fmc__io_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__fmc__io_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a2590d8621e35ad204b40d89090fa03f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2590d8621e35ad204b40d89090fa03f1"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a2590d8621e35ad204b40d89090fa03f1">ipbw</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipb_wbus_array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_SLAVES</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae6857a18d3aa0743dd07b66e08b3a9ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae6857a18d3aa0743dd07b66e08b3a9ea"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#ae6857a18d3aa0743dd07b66e08b3a9ea">ipbr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipb_rbus_array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_SLAVES</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a421b81c62a71bfcd78789f4901ef9d27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a421b81c62a71bfcd78789f4901ef9d27"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a421b81c62a71bfcd78789f4901ef9d27">ctrl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipb_reg_v</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a00d66d7455945576fe33ae444a1f5025"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00d66d7455945576fe33ae444a1f5025"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a00d66d7455945576fe33ae444a1f5025">stat</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipb_reg_v</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab5e6a11f79258c758b3fbdd8ed8b2f99"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab5e6a11f79258c758b3fbdd8ed8b2f99"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#ab5e6a11f79258c758b3fbdd8ed8b2f99">fmc_clk_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a18c747d60ed557039133157bf9703621"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18c747d60ed557039133157bf9703621"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a18c747d60ed557039133157bf9703621">fmc_clk_u</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a76361cf3a62868e870f03a2181b05c2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76361cf3a62868e870f03a2181b05c2c"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a76361cf3a62868e870f03a2181b05c2c">rec_clk_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af799d6bc9aefbc1f84a5fd0b728d00e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af799d6bc9aefbc1f84a5fd0b728d00e8"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#af799d6bc9aefbc1f84a5fd0b728d00e8">rec_clk_u</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff5317459ad3d34828f28363b6e0ff82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff5317459ad3d34828f28363b6e0ff82"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#aff5317459ad3d34828f28363b6e0ff82">clkout</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b53fb9fb418c1c6682fb0be4d6f5c5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b53fb9fb418c1c6682fb0be4d6f5c5a"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a1b53fb9fb418c1c6682fb0be4d6f5c5a">gp0out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1aab72ae418bd6d3a292136a0ffc37c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1aab72ae418bd6d3a292136a0ffc37c7"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a1aab72ae418bd6d3a292136a0ffc37c7">gp1out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab47b5d2b8d117ff3aa9b4df08d81bba3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab47b5d2b8d117ff3aa9b4df08d81bba3"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#ab47b5d2b8d117ff3aa9b4df08d81bba3">sfp_dout_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a65f8719ed237be82dda374552d6dd37d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65f8719ed237be82dda374552d6dd37d"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a65f8719ed237be82dda374552d6dd37d">rec_d_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab224de1635283998ee260618330b1253"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab224de1635283998ee260618330b1253"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#ab224de1635283998ee260618330b1253">gpin</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af5c4e410a51c06e1c5cbcf1adb2b305e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5c4e410a51c06e1c5cbcf1adb2b305e"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#af5c4e410a51c06e1c5cbcf1adb2b305e">rj45_din</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1065b6098ba9ffbd0f81ba0abd7169a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1065b6098ba9ffbd0f81ba0abd7169a5"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a1065b6098ba9ffbd0f81ba0abd7169a5">clkdiv</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af526508a60c84520908d284c9b4304c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af526508a60c84520908d284c9b4304c5"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#af526508a60c84520908d284c9b4304c5">uid_sda_o</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab13faeb45e01f2342e1340efe0f46ab3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab13faeb45e01f2342e1340efe0f46ab3"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#ab13faeb45e01f2342e1340efe0f46ab3">pll_sda_o</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abef54e922164582893d9087b376fed6f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abef54e922164582893d9087b376fed6f"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#abef54e922164582893d9087b376fed6f">sfp_sda_o</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Attributes"></a>
Attributes</h2></td></tr>
 <tr class="memitem:a28253af6bf37c21743af17140604dbb1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28253af6bf37c21743af17140604dbb1"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a28253af6bf37c21743af17140604dbb1">IOB</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">string</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a895ee37430025fbde840e7f34ab72a5b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a895ee37430025fbde840e7f34ab72a5b"></a>
<a class="el" href="classpdts__fmc__io_1_1rtl.html#a895ee37430025fbde840e7f34ab72a5b">IOB</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">sfp_dout_r</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">signal</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; TRUE &quot;</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__fmc__io_8vhd_source.html#l00069">69</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__fmc__io_8vhd_source.html">pdts_fmc_io.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__fmc__io_8vhd_source.html">pdts_fmc_io.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__fmc__io_8vhd_source.html">pdts_fmc_io.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
